# Git snapshot 7d8548c0a6f2242ddb2315b4f923ca04bfe9870d

Name:		ring-client-gnome
Summary:	The GNOME client for the Ring communication framework
Version:	1.0.0
Release:	%mkrel 2
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		http://ring.cx/
Source0:	https://github.com/savoirfairelinux/ring-client-gnome/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		ring-client-gnome-1.0.0-install-manpage.patch
ExcludeArch:	armv5tl

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gettext
BuildRequires:	cmake(LibRingClient)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)

BuildRequires:	pkgconfig(appindicator3-0.1)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(webkit2gtk-4.0)

Requires:	ring-daemon

Obsoletes:	sflphone-gnome < 1.4.1-7
Provides:	sflphone-gnome = %{version}-%{release}

%description
Ring-client-gnome is a Ring client written in GTK+3. It uses libRingClient to
communicate with the Ring daemon and for all of the underlying models and their
logic. Ideally ring-client-gnome should only contain UI related code and any
wrappers necessary for interacting with libRingClient.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5

%make_build

%install
%make_install -C build

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/gnome-ring
%{_bindir}/ring.cx
%{_datadir}/appdata/gnome-ring.appdata.xml
%{_datadir}/applications/gnome-ring.desktop
%{_datadir}/glib-2.0/schemas/cx.ring.RingGnome.gschema.xml
%{_datadir}/gnome-ring/gnome-ring.desktop
%{_iconsdir}/hicolor/scalable/apps/ring.svg
%{_mandir}/man1/gnome-ring.1.*


%changelog
* Mon Jan 02 2017 daviddavid <daviddavid> 1.0.0-2.mga6
+ Revision: 1079719
- requires ring-daemon
- initial package ring-client-gnome

